#
# spec file for package python-isort
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-isort
Version:        4.2.5
Release:        1.1
Summary:        A Python utility / library to sort Python imports
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/timothycrosley/isort
# Tests are not included in pypi package
Source:         https://github.com/timothycrosley/isort/archive/%{version}.tar.gz
Patch0:         patch-shebang.patch
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
isort your python imports for you so you don’t have to.

isort is a Python utility / library to sort imports alphabetically,
and automatically separated into sections. It provides a command line
utility, Python library and plugins for various editors to quickly
sort all your imports. It currently cleanly supports Python 2.6 - 3.5
using pies to achieve this without ugly hacks and/or py2to3.

%prep
%setup -q -n isort-%{version}
%patch0
chmod -x LICENSE

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*
%python3_only %{_bindir}/isort
%doc README.rst LICENSE

%changelog
* Fri Mar 24 2017 jmatejek@suse.com
- install LICENSE file
* Mon Mar  6 2017 jmatejek@suse.com
- update for singlespec
* Sat Oct  8 2016 sebix+novell.com@sebix.at
- use github URL to run tests after packaging
* Fri Aug  5 2016 sebix+novell.com@sebix.at
-  patch-shebang.patch: removed superfluous shebang for packaged file main
* Sat Jun 25 2016 arun@gmx.de
- initial version
